Bug 474740 - Unhelpful error message when installing an RPM for the wrong architecture
Unhelpful error message when installing an RPM for the wrong architecture
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 23:17 EST by Patrick Walton
Modified: 2009-01-15 11:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 11:33:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patches in git (3.60 KB, patch)
2008-12-05 04:55 EST, Richard Hughes
no flags Details | Diff

  None (edit)
Description Patrick Walton 2008-12-04 23:17:25 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

There's a usability problem when installing an RPM for the wrong architecture. The dialog box is as follows:

Local install failed
Installing the local file failed.
More information is available in the detailed report.
More details:
Can't install X.rpm

This will lead to confusion. A better error message would be something like "Incorrect architecture 'x86_64'. Please use a package with the architecture 'i386' instead."


Reproducible: Always

Steps to Reproduce:
Download an RPM of the x86_64 architecture on the i386 architecture and try to install it by double-clicking on it.
Comment 1 Richard Hughes 2008-12-05 04:55:11 EST
Created attachment 325824 [details]
the patches in git

I've applied these patches to PackageKit and gnome-packagekit in git master. I can't backport this to 0.3.x as that branch is in string freeze right now. If you think it is required, I can re-use internal error, so the dialog is still unhelpful, but the error description is at least correct.

Note You need to log in before you can comment on or make changes to this bug.